List budgets for the organization.

GET /api/v1/billing/organization/{organization_id}/budgets

Retrieves budgets for the specified organization. Admins receive all budgets; non-admins receive only budgets scoped to cloud resources they can access.

Path parameters

  • organization_id string Required

    The organization ID

Responses

  • 200 application/json

    Budgets successfully retrieved

    Hide response attributes Show response attributes object
    • active boolean Required
    • alerts array[object] Required

      BudgetAlert(id: 'int', operator: '_types.Operator', threshold: 'int', threshold_type: '_types.ThresholdType', created_at: 'str | None', last_exceeded_at: 'str | None')

      Hide alerts attributes Show alerts attributes object

      BudgetAlert(id: 'int', operator: '_types.Operator', threshold: 'int', threshold_type: '_types.ThresholdType', created_at: 'str | None', last_exceeded_at: 'str | None')

      • created_at string
      • id integer Required
      • last_exceeded_at string
      • operator string Required

        Values are gte or lte.

      • threshold integer Required
      • threshold_type string Required

        Values are percentage or amount.

    • amount integer Required
    • created_at string
    • id integer Required
    • name string
    • period string Required

      Value is monthly.

    • recipient_group array[string] Required

      Values are organization-admins, billing-admins, resource-viewers, resource-editors, or resource-admins.

    • scope_type string Required

      Values are organization or cloud_resource.

    • scope_values array[string] Required
  • 500

    Internal server error (error_getting_budgets, error_fetching_cloud_resources)

GET /api/v1/billing/organization/{organization_id}/budgets
curl \
 --request GET 'https://cloud.elastic.co/api/v1/billing/organization/{organization_id}/budgets'